%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Wx
%define modv   0.86


Summary:       Interface to the wxWidgets cross-platform GUI toolkit
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.86-build.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mattia Barbon <mbarbon@users.sourceforge.net>
Provides:      wxPerl = %{modv}
Provides:      wxPerl-unicode = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Alien::wxWidgets) >= 0.25
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions) >= 0.82
BuildRequires: perl(Module::Info)
BuildRequires: perl(Test::Harness) >= 2.26
BuildRequires: perl(Test::More) >= 0.45
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(YAML) >= 0.35


%description
The Wx module is a wrapper for the wxWidgets (formerly known as wxWindows)
GUI toolkit.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1

# Fix permissions
%{__chmod} a-x Changes README.txt


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS} -fno-strict-aliasing -Wno-unused"

%{__make} #%{?_smp_mflags}


%check
%{?el3:%{__rm} ext/dnd/t/04_threads.t}
[ -n "${DISPLAY}" ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README.txt
%{_bindir}/wxperl_overload
%{_bindir}/wxperl_xspp
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/%{modn}.pm
%{perl_vendorarch}/%{modn}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Sun Oct 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.86-1
- New version (0.86)

* Tue May 20 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.82-3
- Rebuilt for updated wxGTK package

* Tue May 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.82-2
- Disabled parallel build to prevent missing Wx_Exp.pm

* Tue May 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.82-1
- Initial build
